com.parse.http

## Class ParseHttpResponse

- java.lang.Object
- - com.parse.http.ParseHttpResponse

    public final class ParseHttpResponse
    extends Object

The http response we receive from parse server. Instances of this class are not immutable. The response body may be consumed only once. The other fields are immutable.

### Nested Class Summary

Nested Classes
`static class` `ParseHttpResponse.Builder` Builder for `ParseHttpResponse`.

### Method Summary

Methods
`Map<String,String>` `getAllHeaders()` Gets all headers from this `ParseHttpResponse`.
`InputStream` `getContent()` Returns the content of the `ParseHttpResponse`'s body.
`String` `getContentType()` Gets the `Content-Type` of this `ParseHttpResponse`.
`String` `getHeader(String name)` Retrieves the header value from this `ParseHttpResponse` by the given header name.
`String` `getReasonPhrase()` Gets the reason phrase of this `ParseHttpResponse`.
`int` `getStatusCode()` Gets the status code of this `ParseHttpResponse`.
`long` `getTotalSize()` Returns the size of the `ParseHttpResponse`'s body.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStatusCode

    public int getStatusCode()

Gets the status code of this `ParseHttpResponse`.

Returns:
  The status code of this `ParseHttpResponse`.

#### getContent

    public InputStream getContent()

Returns the content of the `ParseHttpResponse`'s body. The content can only be read once and can't be reset.

Returns:
  The content of the `ParseHttpResponse`'s body.

#### getTotalSize

    public long getTotalSize()

Returns the size of the `ParseHttpResponse`'s body. `-1` if the size of the `ParseHttpResponse`'s body is unknown.

Returns:
  The size of the `ParseHttpResponse`'s body.

#### getReasonPhrase

    public String getReasonPhrase()

Gets the reason phrase of this `ParseHttpResponse`.

Returns:
  The reason phrase of this `ParseHttpResponse`.

#### getContentType

    public String getContentType()

Gets the `Content-Type` of this `ParseHttpResponse`.

Returns:
  The `Content-Type` of this `ParseHttpResponse`.

#### getHeader

    public String getHeader(String name)

Retrieves the header value from this `ParseHttpResponse` by the given header name.

Parameters:
  `name` - The name of the header.
Returns:
  The value of the header.

#### getAllHeaders

    public Map<String,String> getAllHeaders()

Gets all headers from this `ParseHttpResponse`.

Returns:
  The headers of this `ParseHttpResponse`.